package cn.com.qmth.examcloud.web.upyun;

import java.io.File;
import java.io.InputStream;

/**
 * 又拍云 服务
 *
 * @author WANGWEI
 * @date 2018年6月29日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface UpyunService {

	/**
	 * 写文件
	 *
	 * @author WANGWEI
	 * @param siteId
	 * @param env
	 * @param in
	 * @return
	 */
	UpYunPathInfo writeFile(String siteId, UpyunPathEnvironmentInfo env, InputStream in);

	/**
	 * 写文件
	 *
	 * @author WANGWEI
	 * @param siteId
	 * @param env
	 * @param file
	 * @return
	 */
	UpYunPathInfo writeFile(String siteId, UpyunPathEnvironmentInfo env, File file);

	/**
	 * 删除文件
	 *
	 * @author WANGWEI
	 * @param siteId
	 * @param env
	 */
	void delete(String siteId, UpyunPathEnvironmentInfo env);

	/**
	 * 创建签名
	 *
	 * @author WANGWEI
	 * @param filePath
	 * @return
	 */
	UpYunSign buildUpYunSign(String siteId, UpyunPathEnvironmentInfo env);

}
